%define pkgname zope.schema
Name:          python-zope-schema
Version:       7.0.1
Release:       3mamba
Summary:       zope.interface extension for defining data schemas
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/zope.schema/
Source:        https://pypi.debian.net/zope.schema/zope.schema-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
BuildRequires: python3.11dist(zope.event)
BuildRequires: python3.11dist(zope.interface)
## AUTOBUILDREQ-END
BuildArch:     noarch

%description
zope.interface extension for defining data schemas.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n zope.schema-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python_sitelib}/zope.schema-%{version}-py*-nspkg.pth
%dir %{python_sitelib}/zope/schema
%{python_sitelib}/zope/schema/*
%doc COPYRIGHT.txt LICENSE.txt

%changelog
* Mon Dec 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-3mamba
- rebuilt with distdeps

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 7.0.1-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Jan 03 2023 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Mon Jan 02 2023 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 6.2.1-1mamba
- automatic version update by autodist

* Mon Oct 18 2021 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 6.1.1-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 6.1.0-1mamba
- automatic version update by autodist

* Tue Jan 26 2021 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.0-2mamba
- rebuilt without python 2.7

* Tue Mar 31 2020 Automatic Build System <autodist@mambasoft.it> 6.0.0-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Fri Oct 12 2018 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Sat Oct 06 2018 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Sat Sep 29 2018 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Thu Sep 20 2018 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Thu Sep 13 2018 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.0-1mamba
- update to 4.6.0

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Sun Sep 07 2014 Automatic Build System <autodist@mambasoft.it> 4.4.2-1mamba
- automatic update by autodist

* Thu Mar 20 2014 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-2mamba
- python 2.7 mass rebuild

* Thu Nov 29 2012 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Wed Dec 21 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.0.1-2mamba
- added missing requirement

* Tue Dec 20 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.0.1-1mamba
- update to 4.0.1

* Mon May 23 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.8.0-1mamba
- update to 3.8.0

* Wed Oct 13 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 3.7.0-1mamba
- package created by autospec
